Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts.result
[Java] Interface ResolvedDependencyResult

    org.gradle.api.artifacts.result.DependencyResult
      org.gradle.api.artifacts.result.ResolvedDependencyResult

All Superinterfaces:
  DependencyResult

    @Incubating
    public interface ResolvedDependencyResult
    extends DependencyResult

A dependency that was resolved successfully.

Method Summary
`ResolvedComponentResult` | `getSelected()` Returns the selected component.

Methods inherited from interface DependencyResult
getFrom, getRequested

Method Detail

### getSelected

    public ResolvedComponentResult getSelected()

  Returns the selected component. This may not necessarily be the same as the requested component. For example, a dynamic version may have been requested, or the version may have been substituted due to conflict resolution, or by being forced, or for some other reason.

Gradle API 1.10